summaryrefslogtreecommitdiffstats
path: root/abs/extra/bluez/run.dund
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/bluez/run.dund')
-rw-r--r--abs/extra/bluez/run.dund14
1 files changed, 14 insertions, 0 deletions
diff --git a/abs/extra/bluez/run.dund b/abs/extra/bluez/run.dund
new file mode 100644
index 0000000..c42cfa1
--- /dev/null
+++ b/abs/extra/bluez/run.dund
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# Start/stop the Bluetooth daemons
+#
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/bluetooth ] && . /etc/conf.d/bluetooth
+
+svwaitup -s 3 /var/service/bluetoothd || exit 1
+
+ stat_runit "Starting BlueZ Bluetooth dial-up networking daemon"
+ exec /usr/bin/dund -n -s